Create a keyspace (HTTP)

Creates a new keyspace in a database.

Keyspaces are used to store collections and tables in Astra DB Serverless.

You need an application token with permission to interact with the target database, such as the Database Administrator role.

For more information, see Get endpoint and token.

Result

Creates the specified keyspace.

Returns 201 Created.

Parameters

Use the DevOps API to create a keyspace, as demonstrated in Examples. This operation is a POST request that includes the new keyspace name as a path parameter.

Keyspace names must follow these rules:

  • Must start with a letter or number

  • Can contain letters, numbers, and underscores

  • Cannot exceed 48 characters.

  • Cannot be the reserved words dse or system

  • Must be unique within the database

Examples

The following examples demonstrate how to create a keyspace.

Create a keyspace

curl -sS -L -X POST "https://api.astra.datastax.com/v2/databases/DATABASE_ID/keyspaces/KEYSPACE_NAME" \
  --header "Authorization: Bearer APPLICATION_TOKEN" \
  --header "Content-Type: application/json"

Was this helpful?

Give Feedback

How can we improve the documentation?

© Copyright IBM Corporation 2026 | Privacy policy | Terms of use Manage Privacy Choices

Apache, Apache Cassandra, Cassandra, Apache Tomcat, Tomcat, Apache Lucene, Apache Solr, Apache Hadoop, Hadoop, Apache Pulsar, Pulsar, Apache Spark, Spark, Apache TinkerPop, TinkerPop, Apache Kafka and Kafka are either registered trademarks or trademarks of the Apache Software Foundation or its subsidiaries in Canada, the United States and/or other countries. Kubernetes is the registered trademark of the Linux Foundation.

General Inquiries: Contact IBM